Beefy Boxes and Bandwidth Generously Provided by pair Networks
Welcome to the Monastery
 
PerlMonks  

Re^3: Regex Question

by kcott (Archbishop)
on Nov 08, 2016 at 00:24 UTC ( #1175498=note: print w/replies, xml ) Need Help??


in reply to Re^2: Regex Question
in thread Regex Question

Also be aware that the list of core modules can vary between versions. I've never personally encountered a problem with this; however, if it is an issue for you, you can specify a range of valid versions with use and no.

Version too old:

$ perl -v | head -2 | tail -1 This is perl 5, version 18, subversion 0 (v5.18.0) built for darwin-th +read-multi-2level $ perl -e 'use 5.020; no 5.024' Perl v5.20.0 required--this is only v5.18.0, stopped at -e line 1. BEGIN failed--compilation aborted at -e line 1. $

Version too new:

$ perl -v | head -2 | tail -1 This is perl 5, version 24, subversion 0 (v5.24.0) built for darwin-th +read-multi-2level $ perl -e 'use 5.020; no 5.024' Perls since v5.24.0 too modern--this is v5.24.0, stopped at -e line 1. BEGIN failed--compilation aborted at -e line 1. $

Version just right (Goldilocks zone):

$ perl -v | head -2 | tail -1 This is perl 5, version 22, subversion 0 (v5.22.0) built for darwin-th +read-multi-2level $ perl -e 'use 5.020; no 5.024' $

— Ken

Log In?
Username:
Password:

What's my password?
Create A New User
Domain Nodelet?
Node Status?
node history
Node Type: note [id://1175498]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others contemplating the Monastery: (4)
As of 2022-08-13 07:12 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    No recent polls found

    Notices?